/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { FastStochasticOscillatorIndicatorStrategy } from "./FastStochasticOscillatorIndicatorStrategy";
import { typeGetValue, markType } from "igniteui-angular-core";
import { Brush } from "igniteui-angular-core";
/**
 * @hidden
 */
export let FastStochasticOscillatorIndicator = /*@__PURE__*/ (() => {
    class FastStochasticOscillatorIndicator extends StrategyBasedIndicator {
        constructor() {
            super();
            this.trendLineBrush = ((() => {
                let $ret = new Brush();
                $ret.fill = "#565656";
                return $ret;
            })());
            this.trendLineType = 10;
            this.trendLinePeriod = 3;
        }
        bk() {
            return new FastStochasticOscillatorIndicator();
        }
        get_ab5() {
            return new FastStochasticOscillatorIndicatorStrategy();
        }
        get ab5() {
            return this.get_ab5();
        }
        get_aci() {
            return FastStochasticOscillatorIndicator.$;
        }
        get aci() {
            return this.get_aci();
        }
        get acq() {
            return typeGetValue(this.c(FastStochasticOscillatorIndicator.acr));
        }
        set acq(a) {
            this.h(FastStochasticOscillatorIndicator.acr, a);
        }
        acb() {
            return this.acq;
        }
        ack(a) {
            this.acq = a;
        }
    }
    FastStochasticOscillatorIndicator.$t = markType(FastStochasticOscillatorIndicator, 'FastStochasticOscillatorIndicator', StrategyBasedIndicator.$);
    FastStochasticOscillatorIndicator.acr = StrategyBasedIndicator.acn(14, FastStochasticOscillatorIndicator.$);
    return FastStochasticOscillatorIndicator;
})();
